Skip to content

V1.0

AI Hair Type Detection API allows you to detect the type of hair in images using three-angle input (front, right, left).

Run an Hair Type Detection task.

Request

Please refer to the polling guide for checking task status.

Security
BearerAuthenticationV2
Bodyapplication/jsonrequired
Any of:
src_file_urlsArray of strings, = 3 itemsrequired

The file URLs from upload file API. The file IDs for the sequence of source images are 'frontFace', 'rightFace', and 'leftFace'. Should provide either 'src_file_urls' or 'src_file_ids'.

Example:
[ "https://example.com/selfie.jpg", "https://example.com/selfie.jpg", "https://example.com/selfie.jpg" ]
POST
/s2s/v2.0/task/hair-type-detection
curl -i -X POST \
  https://yce-api-01.makeupar.com/s2s/v2.0/task/hair-type-detection \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "src_file_urls": [
      "https://example.com/selfie.jpg",
      "https://example.com/selfie.jpg",
      "https://example.com/selfie.jpg"
    ]
  }'

Responses

Successful execution of the task

Bodyapplication/json
statusinteger

Response status

Example:200
dataobject
Response
{ "status": 200, "data": { "task_id": "grH0CvsgXuAIHLUzD0V1Ol34hoet3R1tvdbtiVHrDb6_UqCLKIejAIajwxrhOAfe" } }